//
//  ShareViewController.m
//  Lighting
//
//  Created by mac on 16/5/23.
//  Copyright © 2016年 上海勾芒科技有限公司. All rights reserved.
//

#import "ShareViewController.h"

@interface ShareViewController ()

@end

@implementation ShareViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    [self initSubview];
   
}
-(void)initSubview
{
    self.weiXinFriend=[[UIButton alloc]initWithFrame:CGRectMake(25, 25,60 , 60)];
    [self.weiXinFriend setBackgroundImage:[UIImage imageNamed:@"wechat"] forState:UIControlStateNormal];
    self.weiXinFriend.tag=101;
    [self.weiXinFriend addTarget:self action:@selector(sharePicture:) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:self.weiXinFriend];
    UILabel *lable1=[[UILabel alloc]initWithFrame:CGRectMake(25, 90, 60, 40)];
    lable1.text=@"微信好友";
    lable1.font=[UIFont systemFontOfSize:12];
    [self.view addSubview:lable1];
    
    self.weiXinFriendCircle=[[UIButton alloc]initWithFrame:CGRectMake(25+25+60, 25,60 , 60)];
    [self.weiXinFriendCircle setBackgroundImage:[UIImage imageNamed:@"Friends-Circle"] forState:UIControlStateNormal];
    self.weiXinFriendCircle.tag=102;
    [self.weiXinFriendCircle addTarget:self action:@selector(sharePicture:) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:self.weiXinFriendCircle];
    UILabel *lable2=[[UILabel alloc]initWithFrame:CGRectMake(25+25+60, 90, 60, 40)];
    lable2.text=@"微信朋友圈";
    lable2.font=[UIFont systemFontOfSize:12];
    [self.view addSubview:lable2];
    
    self.sinaMicroBlog=[[UIButton alloc]initWithFrame:CGRectMake(25+25+60+25+60, 25,60 , 60)];
    [self.sinaMicroBlog setBackgroundImage:[UIImage imageNamed:@"weibo"] forState:UIControlStateNormal];
    self.sinaMicroBlog.tag=103;
    [self.sinaMicroBlog addTarget:self action:@selector(sharePicture:) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:self.sinaMicroBlog];
    UILabel *lable3=[[UILabel alloc]initWithFrame:CGRectMake(25+25+60+25+60, 90, 60, 40)];
    lable3.text=@"新浪微博";
    lable3.font=[UIFont systemFontOfSize:12];
    [self.view addSubview:lable3];

}
-(void)sharePicture:(UIButton*)sender
{
    if ([self.delegate respondsToSelector:@selector(addProductImage:productModel:)]) {
        
        [self.delegate ShareProductImage:nil];
    }

    switch (sender.tag) {
        case 101:
        {
            
        }
            
            break;
        case 102:
        {
            
        }
            break;
        case 103:
        {
            
        }
            
            break;
            
        default:
            break;
    }
    
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
